Eclipse Remote Application Platform

## org.eclipse.swt.accessibility
Class AccessibleValueAdapter

    java.lang.Object
      org.eclipse.swt.accessibility.AccessibleValueAdapter

All Implemented Interfaces:
  AccessibleValueListener

    public class AccessibleValueAdapter

extends java.lang.Object
implements AccessibleValueListener

This adapter class provides default implementations for the methods in the `AccessibleValueListener` interface.

Classes that wish to deal with `AccessibleValue` events can extend this class and override only the methods that they are interested in.

Since:
  1.4
See Also:
  `AccessibleValueListener`, `AccessibleValueEvent`

Constructor Summary
`AccessibleValueAdapter()`

Method Summary
`void` `getCurrentValue(AccessibleValueEvent e)` Returns the value of this object as a number.
`void` `getMaximumValue(AccessibleValueEvent e)` Returns the maximum value that can be represented by this object.
`void` `getMinimumValue(AccessibleValueEvent e)` Returns the minimum value that can be represented by this object.
`void` `setCurrentValue(AccessibleValueEvent e)` Sets the value of this object to the given number.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AccessibleValueAdapter

    public AccessibleValueAdapter()

Method Detail

### getCurrentValue

    public void getCurrentValue(AccessibleValueEvent e)

  Returns the value of this object as a number.

  Specified by:
    `getCurrentValue` in interface `AccessibleValueListener`
  Parameters:
    `e` - an event object containing the following fields:
    - [out] value - the number that is the current value of this object

### setCurrentValue

    public void setCurrentValue(AccessibleValueEvent e)

  Sets the value of this object to the given number. The argument is clipped to the valid interval whose upper and lower bounds are returned by getMaximumValue and getMinimumValue, i.e. if it is lower than the minimum value the new value will be the minimum, and if it is greater than the maximum then the new value will be the maximum.

  Specified by:
    `setCurrentValue` in interface `AccessibleValueListener`
  Parameters:
    `e` - an event object containing the following fields:
    - [in/out] value - on input, the number that will be the new value of this object
      - on output, set to null if the value cannot be set

### getMaximumValue

    public void getMaximumValue(AccessibleValueEvent e)

  Returns the maximum value that can be represented by this object.

  Specified by:
    `getMaximumValue` in interface `AccessibleValueListener`
  Parameters:
    `e` - an event object containing the following fields:
    - [out] value - the number that is the maximum value that this object can represent. If this object has no upper bound then null is returned.

### getMinimumValue

    public void getMinimumValue(AccessibleValueEvent e)

  Returns the minimum value that can be represented by this object.

  Specified by:
    `getMinimumValue` in interface `AccessibleValueListener`
  Parameters:
    `e` - an event object containing the following fields:
    - [out] value - the number that is the minimum value that this object can represent. If this object has no lower bound then null is returned.

Eclipse Remote Application Platform

Copyright (c) EclipseSource and others 2002, 2013. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0